#!/bin/sh
# generated for network 'rehungen' @Sun Dec 27 07:42:02 CET 2020 from ./generate_table.sh
#
# firmware updatemodes:
# - stable..............: r44150
# - beta................: r49276
# - testing/avantgarde..: r4283 (LEDE)
#
# prepare your env with e.g.:
# export PATH="$PATH:~"
# MY_BUILD_DIR=mybuildbot
# sudo mount -t tmpfs -o size=90% none "$PWD/$MY_BUILD_DIR"
# mkdir -p $MY_BUILD_DIR && cd $MY_BUILD_DIR
#
# URL='https://raw.githubusercontent.com/bittorf/kalua/master/openwrt-build/build.sh'
# wget -O build.sh "$URL" && chmod +x build.sh
# ./build.sh --openwrt trunk --download_pool $HOME/openwrt_dl
# ./build.sh --openwrt lede  --download_pool $HOME/openwrt_dl
# scp mysettings /tmp/apply_profile.code.definitions
# scp your_sign_keys .
#
# and copy your public ssh-key (for autouploading files) to: root@intercity-vpn.de
# and execute this script:

export FAILED=

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e346f
s1() {		# wifimac: 940c6dfe519a
	echo; echo '=== next_image: s1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s1"
	git stash; test -e 'LICENSE' && cd ..
}

b1() {		# wifimac: 940c6dfe519a
	echo; echo '=== next_image: b1 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b1"
	git stash; test -e 'LICENSE' && cd ..
}

t1() {		# wifimac: 940c6dfe519a
	echo; echo '=== next_image: t1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t1"
	git stash; test -e 'LICENSE' && cd ..
}

n1() {		# wifimac: 940c6dfe519a
	echo; echo '=== next_image: n1 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,VDS,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n1"
	git stash; test -e 'LICENSE' && cd ..
}

s2() {		# wifimac: 00156d179440
	echo; echo '=== next_image: s2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation5' --usecase 'Standard-4mb,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s2"
	git stash; test -e 'LICENSE' && cd ..
}

b2() {		# wifimac: 00156d179440
	echo; echo '=== next_image: b2 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation5' --usecase 'Standard-4mb,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b2"
	git stash; test -e 'LICENSE' && cd ..
}

t2() {		# wifimac: 00156d179440
	echo; echo '=== next_image: t2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation5' --usecase 'Standard-4mb,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t2"
	git stash; test -e 'LICENSE' && cd ..
}

n2() {		# wifimac: 00156d179440
	echo; echo '=== next_image: n2 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation5' --usecase 'Standard-4mb,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n2"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e3678
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1aae93
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e36d3
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1aaebf
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e39a2
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1aaece
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ed78
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1aaee7
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72edd7
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1aaee8
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ede8
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee3b
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1baebc
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee3f
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1c6966
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee44
s3() {		# wifimac: 00156d1c69d1
	echo; echo '=== next_image: s3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s3"
	git stash; test -e 'LICENSE' && cd ..
}

b3() {		# wifimac: 00156d1c69d1
	echo; echo '=== next_image: b3 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b3"
	git stash; test -e 'LICENSE' && cd ..
}

t3() {		# wifimac: 00156d1c69d1
	echo; echo '=== next_image: t3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t3"
	git stash; test -e 'LICENSE' && cd ..
}

n3() {		# wifimac: 00156d1c69d1
	echo; echo '=== next_image: n3 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet M5' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n3"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d1c6a09
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156dfade85
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e2d65
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156dfadfb9
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e32f4
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e33a3
# DEBUG: hardware invalid: 'Ubiquiti Nanostation M' - see: 02272274d397
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e33c7
s4() {		# wifimac: 14cc20b95699
	echo; echo '=== next_image: s4 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s4"
	git stash; test -e 'LICENSE' && cd ..
}

b4() {		# wifimac: 14cc20b95699
	echo; echo '=== next_image: b4 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b4"
	git stash; test -e 'LICENSE' && cd ..
}

t4() {		# wifimac: 14cc20b95699
	echo; echo '=== next_image: t4 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t4"
	git stash; test -e 'LICENSE' && cd ..
}

n4() {		# wifimac: 14cc20b95699
	echo; echo '=== next_image: n4 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n4"
	git stash; test -e 'LICENSE' && cd ..
}

s5() {		# wifimac: 24a43cfc774a
	echo; echo '=== next_image: s5 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s5"
	git stash; test -e 'LICENSE' && cd ..
}

b5() {		# wifimac: 24a43cfc774a
	echo; echo '=== next_image: b5 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b5"
	git stash; test -e 'LICENSE' && cd ..
}

t5() {		# wifimac: 24a43cfc774a
	echo; echo '=== next_image: t5 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t5"
	git stash; test -e 'LICENSE' && cd ..
}

n5() {		# wifimac: 24a43cfc774a
	echo; echo '=== next_image: n5 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation M5 XW' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n5"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e33d3
s6() {		# wifimac: 30b5c23838c2
	echo; echo '=== next_image: s6 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,VDS,LuCIfull,debug,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s6"
	git stash; test -e 'LICENSE' && cd ..
}

b6() {		# wifimac: 30b5c23838c2
	echo; echo '=== next_image: b6 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,VDS,LuCIfull,debug,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b6"
	git stash; test -e 'LICENSE' && cd ..
}

t6() {		# wifimac: 30b5c23838c2
	echo; echo '=== next_image: t6 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,VDS,LuCIfull,debug,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t6"
	git stash; test -e 'LICENSE' && cd ..
}

n6() {		# wifimac: 30b5c23838c2
	echo; echo '=== next_image: n6 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WDR4300' --usecase 'Standard,VDS,LuCIfull,debug,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n6"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e33de
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e3461
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e346f
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e3678
s7() {		# wifimac: b0487abb50c8
	echo; echo '=== next_image: s7 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s7"
	git stash; test -e 'LICENSE' && cd ..
}

b7() {		# wifimac: b0487abb50c8
	echo; echo '=== next_image: b7 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b7"
	git stash; test -e 'LICENSE' && cd ..
}

t7() {		# wifimac: b0487abb50c8
	echo; echo '=== next_image: t7 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t7"
	git stash; test -e 'LICENSE' && cd ..
}

n7() {		# wifimac: b0487abb50c8
	echo; echo '=== next_image: n7 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'TP-LINK TL-WR1043ND' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n7"
	git stash; test -e 'LICENSE' && cd ..
}

# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e36d3
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d5e39a2
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ed78
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72edd7
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ede8
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee3b
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee3f
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156d72ee44
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156dfade85
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: 00156dfadfb9
# DEBUG: hardware invalid: 'Ubiquiti Nanostation M' - see: 02272274d397
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: dc9fdb0cc8fc
# DEBUG: hardware invalid: 'Ubiquiti Bullet M' - see: dc9fdb0ccacc
s8() {		# wifimac: dc9fdb140d2d
	echo; echo '=== next_image: s8 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s8"
	git stash; test -e 'LICENSE' && cd ..
}

b8() {		# wifimac: dc9fdb140d2d
	echo; echo '=== next_image: b8 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b8"
	git stash; test -e 'LICENSE' && cd ..
}

t8() {		# wifimac: dc9fdb140d2d
	echo; echo '=== next_image: t8 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t8"
	git stash; test -e 'LICENSE' && cd ..
}

n8() {		# wifimac: dc9fdb140d2d
	echo; echo '=== next_image: n8 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Nanostation M2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n8"
	git stash; test -e 'LICENSE' && cd ..
}

s9() {		# wifimac: de9fdb02a1c2
	echo; echo '=== next_image: s9 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r44150 --feedstime '2015-01-25 23:40' \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release stable 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED s9"
	git stash; test -e 'LICENSE' && cd ..
}

b9() {		# wifimac: de9fdb02a1c2
	echo; echo '=== next_image: b9 ==='; echo

	cd 'openwrt' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r49276 --feedstime '2016-04-30 16:54' \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release beta 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED b9"
	git stash; test -e 'LICENSE' && cd ..
}

t9() {		# wifimac: de9fdb02a1c2
	echo; echo '=== next_image: t9 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r4283 \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release testing 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED t9"
	git stash; test -e 'LICENSE' && cd ..
}

n9() {		# wifimac: de9fdb02a1c2
	echo; echo '=== next_image: n9 ==='; echo

	cd 'source' && git checkout 'master' && test -e '.config' && rm -fR bin/ && make clean || true && \
	../build.sh \
		--buildid 'firmware@bittorf-wireless.com' \
		--openwrt r$1 \
		--hardware 'Ubiquiti Bullet M2' --usecase 'Standard,kalua' \
		--release nightly 'root@intercity-vpn.de:/var/www/networks/rehungen' || FAILED="$FAILED n9"
	git stash; test -e 'LICENSE' && cd ..
}

stable() {
	s1;s2;s3;s4;s5;s6;s7;s8;s9;
}

beta() {
	b1;b2;b3;b4;b5;b6;b7;b8;b9;
}

testing() {
	t1;t2;t3;t4;t5;t6;t7;t8;t9;
}

nightly() {
	n1;n2;n3;n4;n5;n6;n7;n8;n9;
}

all() { stable; beta; testing; }

update() { wget -O build_all.sh http://intercity-vpn.de/networks/rehungen/firmware/build_all.sh; }

# overall stable + beta + testing: 9 + 9 + 9 = 27 images
# already build: 0 images
# still needed: 27 images
#
# START: Sun Dec 27 07:42:02 CET 2020
# READY: Sun Dec 27 07:43:10 CET 2020
